import spacy

MODEL_NAME = 'en_core_web_md'

def get_model():
    if not spacy.util.is_package(MODEL_NAME):
        spacy.cli.download(MODEL_NAME)
        print(f"\033[92mSpacy model has downloaded!")
    ner_model = spacy.load(MODEL_NAME)
    print(f"Spacy model named {ner_model.meta.get('name')} has loaded!\033[0m")
    return ner_model
